aboutsummaryrefslogtreecommitdiff
path: root/ubuntu
diff options
context:
space:
mode:
authorAndy Whitcroft <apw@canonical.com>2010-07-02 18:45:50 +0100
committerJohn Rigby <john.rigby@linaro.org>2011-09-23 08:46:35 -0600
commit170b4ebe539f0b5da9621d5a6439332864cc49c5 (patch)
tree3cf6de2281da9c8b52cccc8514dea40adc6c872c /ubuntu
parent0b9dc1afa0a3a3d5b13728aebdf08de2e2f11f11 (diff)
UBUNTU: ubuntu: AUFS -- add BOM and automated update script
Signed-off-by: Andy Whitcroft <apw@canonical.com> Signed-off-by: Leann Ogasawara <leann.ogasawara@canonical.com>
Diffstat (limited to 'ubuntu')
-rw-r--r--ubuntu/aufs-update37
-rw-r--r--ubuntu/aufs/BOM2
2 files changed, 39 insertions, 0 deletions
diff --git a/ubuntu/aufs-update b/ubuntu/aufs-update
new file mode 100644
index 00000000000..869e9d663ca
--- /dev/null
+++ b/ubuntu/aufs-update
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+if [ "$#" -ne 1 ]; then
+ echo "Usage: $0 <aufs2-standalone directory>" 1>&2
+ exit 1
+fi
+aufs="$1"
+
+# Get the current tip name
+{
+ read x url
+ read x osha1
+} <aufs/BOM
+
+# Update aufs to the latest.
+git rm -rf aufs
+cp -rp "$aufs/fs/aufs" aufs
+cp -rp "$aufs/include" aufs
+git checkout -f HEAD -- aufs/BOM
+
+# Reinsert the include update.
+sed -i -e '1iEXTRA_CFLAGS += -I$(src)/include' aufs/Makefile
+
+# Find the latest commit.
+read x nsha1 <"$aufs/ChangeLog"
+
+# Insert the new commit ID and commit the result.
+sed -i -e "s/^COMMIT: .*/COMMIT: $nsha1/" aufs/BOM
+git add aufs
+{
+ echo "UBUNTU: ubuntu: AUFS -- update to $nsha1"
+ echo ""
+ awk <"$aufs/ChangeLog" '
+ /^commit '"$osha1"'/ { exit }
+ { print " " $0 }
+ '
+} | git commit -s -F -
diff --git a/ubuntu/aufs/BOM b/ubuntu/aufs/BOM
new file mode 100644
index 00000000000..96055872175
--- /dev/null
+++ b/ubuntu/aufs/BOM
@@ -0,0 +1,2 @@
+URL: http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-standalone.git
+COMMIT: a9be01e5e9688018ebe9ef46ec5414bb356bc556